at.chipkarte.client.dbas.soap

## Class DatenblattKoloskopieUntersuchungsergebnisse

- Object
- - at.chipkarte.client.dbas.soap.DatenblattKoloskopieUntersuchungsergebnisse

-     public class DatenblattKoloskopieUntersuchungsergebnisse
      extends Object

  Enthält die Ergebnisse der Untersuchung zum DatenblattKoloskopie
  ParameterID: 120560.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatenblattKoloskopieUntersuchungsergebnisse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAdenom()` Adenom - Histologischer Befund.
    `String` | `getAdenomEntfernt()` Adenom Entfernt - Histologischer Befund.
    `String` | `getAnzahlAdenome()` Anzahl Adenome - Histologischer Befund.
    `String` | `getAnzahlPolypen()` Anzahl Polypen - Bei Polypen und/oder Karzinomen.
    `String` | `getBiopsieEntnommen()` Biopsie Entnommen - Polypenabtragung/Biopsie.
    `String` | `getDiagnose()` Diagnose - Histologischer Befund.
    `String` | `getDysplasie()` Dysplasie - Histologischer Befund.
    `String` | `getFormPolypen()` Form Polypen - Bei Polypen und/oder Karzinomen.
    `String` | `getGroessePolypen()` Groesse Polypen - Bei Polypen und/oder Karzinomen.
    `String` | `getHistoKarzinom()` Karzinom - Histologischer Befund.
    `String` | `getKarzinomEntfernt()` Karzinom Entfernt - Histologischer Befund.
    `String` | `getKontrolleMonate()` Kontrollkoloskopie in - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
    `String` | `getLokalisationAdenome()` Lokalisation Adenome - Histologischer Befund.
    `String` | `getLokalisationPolypen()` Lokalisation Polypen - Bei Polypen und/oder Karzinomen.
    `String` | `getMassnahmen()` Massnahmen - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
    `String` | `getPatientenkontaktVerloren()` Patientenkontakt Verloren - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
    `String` | `getPolyp()` Polyp - Histologischer Befund.
    `String` | `getPolypektomie()` Polypektomie - Polypenabtragung/Biopsie.
    `String` | `getPolypenabtragung()` endoskopische Polypenabtragung - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
    `String` | `getPolypEntfernt()` Polyp Entfernt - Polypenabtragung/Biopsie.
    `String` | `getPolypGeborgen()` Polyp Geborgen - Polypenabtragung/Biopsie.
    `String` | `getSonstiges()` Sonstiges benigne/maligne - Histologischer Befund.
    `String` | `getZangenabtragung()` Zangenabtragung - Polypenabtragung/Biopsie.
    `void` | `setAdenom(String _adenom)`
    `void` | `setAdenomEntfernt(String _adenomEntfernt)`
    `void` | `setAnzahlAdenome(String _anzahlAdenome)`
    `void` | `setAnzahlPolypen(String _anzahlPolypen)`
    `void` | `setBiopsieEntnommen(String _biopsieEntnommen)`
    `void` | `setDiagnose(String _diagnose)`
    `void` | `setDysplasie(String dysplasie)`
    `void` | `setFormPolypen(String _formPolypen)`
    `void` | `setGroessePolypen(String _groessePolypen)`
    `void` | `setHistoKarzinom(String _histoKarzinom)`
    `void` | `setKarzinomEntfernt(String _karzinomEntfernt)`
    `void` | `setKontrolleMonate(String _kontrolleMonate)`
    `void` | `setLokalisationAdenome(String _lokalisationAdenome)`
    `void` | `setLokalisationPolypen(String _lokalisationPolypen)`
    `void` | `setMassnahmen(String _massnahmen)`
    `void` | `setPatientenkontaktVerloren(String _patientenkontaktVerloren)`
    `void` | `setPolyp(String _polyp)`
    `void` | `setPolypektomie(String _polypektomie)`
    `void` | `setPolypenabtragung(String _polypenabtragung)`
    `void` | `setPolypEntfernt(String _polypEntfernt)`
    `void` | `setPolypGeborgen(String _polypGeborgen)`
    `void` | `setSonstiges(String _sonstiges)`
    `void` | `setZangenabtragung(String _zangenabtragung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatenblattKoloskopieUntersuchungsergebnisse

          public DatenblattKoloskopieUntersuchungsergebnisse()

  - ### Method Detail

    - #### getAnzahlPolypen

          public String getAnzahlPolypen()

      Anzahl Polypen - Bei Polypen und/oder Karzinomen.
      Format: maximal 2-stellig (Numerisch von 1 bis 99).
      Der Wert darf nicht kleiner sein als der Wert in AnzahlAdenome (sofern AnzahlAdenome befüllt ist).
      Angabe: Bedingt (Muss angegeben werden, wenn MakroskopischerBefund mit "Polyp(en)" (Polyp(en)) oder "Kolon-Ca." (Kolon-Ca.) oder "Rektum-Ca." (Rektum-Ca.) belegt ist und sobald FormPolypen, GrößePolypen und LokalisationPolypen belegt sind. In allen anderen Fällen ist das Feld optional.
      ParameterID: 120528.
      Returns:
        AnzahlPolypen

    - #### setAnzahlPolypen

          public void setAnzahlPolypen(String _anzahlPolypen)

    - #### getFormPolypen

          public String getFormPolypen()

      Form Polypen - Bei Polypen und/oder Karzinomen.
      Mögliche Werte siehe `PolypenFormConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn MakroskopischerBefund mit "Polyp(en)" (Polyp(en)) oder "Kolon-Ca." (Kolon-Ca.) oder "Rektum-Ca." (Rektum-Ca.) belegt ist und sobald AnzahlPolypen, GrößePolypen und LokalisationPolypen belegt sind. In allen anderen Fällen ist das Feld optional.
      ParameterID: 120529.
      Returns:
        FormPolypen

    - #### setFormPolypen

          public void setFormPolypen(String _formPolypen)

    - #### getGroessePolypen

          public String getGroessePolypen()

      Groesse Polypen - Bei Polypen und/oder Karzinomen.
      Mögliche Werte siehe `PolypenGroesseConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn MakroskopischerBefund mit "Polyp(en)" (Polyp(en)) oder "Kolon-Ca." (Kolon-Ca.) oder "Rektum-Ca." (Rektum-Ca.) belegt ist und sobald AnzahlPolypen, FormPolypen und LokalisationPolypen belegt sind. In allen anderen Fällen ist das Feld optional.
      ParameterID: 120530.
      Returns:
        GroessePolypen

    - #### setGroessePolypen

          public void setGroessePolypen(String _groessePolypen)

    - #### getLokalisationPolypen

          public String getLokalisationPolypen()

      Lokalisation Polypen - Bei Polypen und/oder Karzinomen.
      Mögliche Werte siehe `LokalisationTypConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn MakroskopischerBefund mit "Polyp(en)" (Polyp(en)) oder "Kolon-Ca." (Kolon-Ca.) oder "Rektum-Ca." (Rektum-Ca.) belegt ist und sobald AnzahlPolypen, FormPolypen und GrößePolypen belegt sind. In allen anderen Fällen ist das Feld optional.
      ParameterID: 120531.
      Returns:
        LokalisationPolypen

    - #### setLokalisationPolypen

          public void setLokalisationPolypen(String _lokalisationPolypen)

    - #### getPolypektomie

          public String getPolypektomie()

      Polypektomie - Polypenabtragung/Biopsie.
      Mögliche Werte siehe `PolypektomieTypConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn MakroskopischerBefund mit "Polyp(en)" (Polyp(en)) oder "Kolon-Ca." (Kolon-Ca.) oder "Rektum-Ca." (Rektum-Ca.) belegt ist. Optional wenn MakroskopischerBefund mit "Sonstiges" (Sonstiges) belegt ist.)
      ParameterID: 120532.
      Returns:
        Polypektomie

    - #### setPolypektomie

          public void setPolypektomie(String _polypektomie)

    - #### getZangenabtragung

          public String getZangenabtragung()

      Zangenabtragung - Polypenabtragung/Biopsie.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn MakroskopischerBefund mit "Polyp(en)" (Polyp(en)) oder "Kolon-Ca." (Kolon-Ca.) oder "Rektum-Ca." (Rektum-Ca.) belegt ist. Optional wenn MakroskopischerBefund mit "Sonstiges" (Sonstiges) belegt ist.)
      ParameterID: 120533.
      Returns:
        Zangenabtragung

    - #### setZangenabtragung

          public void setZangenabtragung(String _zangenabtragung)

    - #### getPolypEntfernt

          public String getPolypEntfernt()

      Polyp Entfernt - Polypenabtragung/Biopsie.
      Mögliche Werte siehe `PolypEntferntConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn Polypektomie mit einem Wert (Konstante) ungleich "keine" und/oder Zangenabtragung mit dem Wert (Konstante) "Ja" (Ja) belegt ist, ansonsten optional. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung mit "Nein" (Nein) belegt oder nicht gesetzt sind.)
      ParameterID: 120534.
      Returns:
        PolypEntfernt

    - #### setPolypEntfernt

          public void setPolypEntfernt(String _polypEntfernt)

    - #### getPolypGeborgen

          public String getPolypGeborgen()

      Polyp Geborgen - Polypenabtragung/Biopsie.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn Polypektomie mit einem Wert (Konstante) ungleich "keine" und/oder Zangenabtragung mit dem Wert (Konstante) "Ja" (Ja) belegt ist, ansonsten optional. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung mit "Nein" (Nein) belegt oder nicht gesetzt sind.)
      ParameterID: 120535.
      Returns:
        PolypGeborgen

    - #### setPolypGeborgen

          public void setPolypGeborgen(String _polypGeborgen)

    - #### getBiopsieEntnommen

          public String getBiopsieEntnommen()

      Biopsie Entnommen - Polypenabtragung/Biopsie.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn Polypektomie mit dem Wert (Konstante) "keine" und Zangenabtragung mit dem Wert (Konstante) "Nein" (Nein) belegt ist.)
      ParameterID: 120536.
      Returns:
        BiopsieEntnommen

    - #### setBiopsieEntnommen

          public void setBiopsieEntnommen(String _biopsieEntnommen)

    - #### getPolyp

          public String getPolyp()

      Polyp - Histologischer Befund.
      Mögliche Werte siehe `PolypConstants`.
      Angabe: Bedingt (Es muss mindestens eines der Datenfelder Polyp, Adenom, HistoKarzinom, Sonstiges ausgewählt werden. Ist die Eingabe mindestens einer dieser Parameter Pflicht, ist auch eine Eingabe bei Diagnose erforderlich. Diese Bedingung gilt NICHT, wenn in Polypektomie der Eintrag "keine" und in Zangenabtragung und BiopsieEntnommen der Eintrag "Nein" gewählt wurde. Diese Bedingung gilt weiters NICHT, wenn PolypGeborgen mit "Nein" belegt und BiopsieEntnommen mit "Nein" oder nicht belegt ist. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung und BiopsieEntnommen mit "Nein" belegt sind. Keine Eingabe erlaubt, wenn PolypGeborgen mit "Nein" belegt ist und BiopsieEntnommen mit "Nein" oder nicht belegt ist.)
      ParameterID: 120537.
      Returns:
        Polyp

    - #### setPolyp

          public void setPolyp(String _polyp)

    - #### getAdenom

          public String getAdenom()

      Adenom - Histologischer Befund.
      Mögliche Werte siehe `AdenomConstants`.
      Angabe: Bedingt (Es muss mindestens eines der Datenfelder Polyp, Adenom, HistoKarzinom, Sonstiges ausgewählt werden. Ist die Eingabe mindestens einer dieser Parameter Pflicht, ist auch eine Eingabe bei Diagnose erforderlich. Diese Bedingung gilt NICHT, wenn in Polypektomie der Eintrag "keine" und in Zangenabtragung und BiopsieEntnommen der Eintrag "Nein" gewählt wurde. Diese Bedingung gilt weiters NICHT, wenn PolypGeborgen mit "Nein" belegt und BiopsieEntnommen mit "Nein" oder nicht belegt ist. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung und BiopsieEntnommen mit "Nein" belegt sind. Keine Eingabe erlaubt, wenn PolypGeborgen mit "Nein" belegt ist und BiopsieEntnommen mit "Nein" oder nicht belegt ist.)
      ParameterID: 120538.
      Returns:
        Adenom

    - #### setAdenom

          public void setAdenom(String _adenom)

    - #### getDysplasie

          public String getDysplasie()

      Dysplasie - Histologischer Befund.
      Mögliche Werte siehe `DysplasieConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn im Datenfeld Adenom ein Wert gewählt wurde. Keine Eingabe erlaubt, wenn Adenom nicht belegt ist.)
      ParameterID: 120549.
      Returns:
        Dysplasie

    - #### setDysplasie

          public void setDysplasie(String dysplasie)

    - #### getAnzahlAdenome

          public String getAnzahlAdenome()

      Anzahl Adenome - Histologischer Befund.
      Format: maximal 2-stellig (Numerisch von 1 bis 99).
      Angabe: Bedingt (Muss angegeben werden, wenn im Datenfeld Adenom ein Wert gewählt wurde. Keine Eingabe erlaubt, wenn Adenom nicht belegt ist.)
      ParameterID: 120553.
      Returns:
        AnzahlAdenome

    - #### setAnzahlAdenome

          public void setAnzahlAdenome(String _anzahlAdenome)

    - #### getAdenomEntfernt

          public String getAdenomEntfernt()

      Adenom Entfernt - Histologischer Befund.
      Mögliche Werte siehe `JaNeinUnklarConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn im Datenfeld Adenom ein Wert gewählt wurde. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung und BiopsieEntnommen mit "Nein" belegt sind. Keine Eingabe erlaubt, wenn PolypGeborgen mit "Nein" belegt ist und BiopsieEntnommen mit "Nein" oder nicht belegt ist.)
      ParameterID: 120539.
      Returns:
        AdenomEntfernt

    - #### setAdenomEntfernt

          public void setAdenomEntfernt(String _adenomEntfernt)

    - #### getLokalisationAdenome

          public String getLokalisationAdenome()

      Lokalisation Adenome - Histologischer Befund.
      Mögliche Werte siehe `LokalisationTypConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn im Datenfeld Adenom ein Wert gewählt wurde und im Datenfeld LokalisationPolyp der Wert "distales und proximales Kolon" angegeben wurde. Keine Eingabe erlaubt, wenn Adenom nicht angegeben wurde oder wenn im Datenfeld LokalisationPolyp nicht der Wert "distales und proximales Kolon" angegeben wurde.)
      ParameterID: 120554.
      Returns:
        LokalisationAdenome

    - #### setLokalisationAdenome

          public void setLokalisationAdenome(String _lokalisationAdenome)

    - #### getHistoKarzinom

          public String getHistoKarzinom()

      Karzinom - Histologischer Befund.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Bedingt (Es muss mindestens eines der Datenfelder Polyp, Adenom, HistoKarzinom, Sonstiges ausgewählt werden. Ist die Eingabe mindestens einer dieser Parameter Pflicht, ist auch eine Eingabe bei Diagnose erforderlich. Diese Bedingung gilt NICHT, wenn in Polypektomie der Eintrag "keine" und in Zangenabtragung und BiopsieEntnommen der Eintrag "Nein" gewählt wurde. Diese Bedingung gilt weiters NICHT, wenn PolypGeborgen mit "Nein" belegt und BiopsieEntnommen mit "Nein" oder nicht belegt ist. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung und BiopsieEntnommen mit "Nein" belegt sind. Keine Eingabe erlaubt, wenn PolypGeborgen mit "Nein" belegt ist und BiopsieEntnommen mit "Nein" oder nicht belegt ist.)
      ParameterID: 120548.
      Returns:
        HistoKarzinom

    - #### setHistoKarzinom

          public void setHistoKarzinom(String _histoKarzinom)

    - #### getKarzinomEntfernt

          public String getKarzinomEntfernt()

      Karzinom Entfernt - Histologischer Befund.
      Mögliche Werte siehe `JaNeinUnklarConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn im Datenfeld HistoKarzinom der Wert "Ja" gewählt wurde. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung und BiopsieEntnommen mit "Nein" belegt sind. Keine Eingabe erlaubt, wenn PolypGeborgen mit "Nein" belegt ist und BiopsieEntnommen mit "Nein" oder nicht belegt ist.)
      ParameterID: 120540.
      Returns:
        KarzinomEntfernt

    - #### setKarzinomEntfernt

          public void setKarzinomEntfernt(String _karzinomEntfernt)

    - #### getSonstiges

          public String getSonstiges()

      Sonstiges benigne/maligne - Histologischer Befund.
      Mögliche Werte siehe `HbSonstigesConstants`.
      Angabe: Bedingt (Es muss mindestens eines der Datenfelder Polyp, Adenom, HistoKarzinom, Sonstiges ausgewählt werden. Ist die Eingabe mindestens einer dieser Parameter Pflicht, ist auch eine Eingabe bei Diagnose erforderlich. Diese Bedingung gilt NICHT, wenn in Polypektomie der Eintrag "keine" und in Zangenabtragung und BiopsieEntnommen der Eintrag "Nein" gewählt wurde. Diese Bedingung gilt weiters NICHT, wenn PolypGeborgen mit "Nein" belegt und BiopsieEntnommen mit "Nein" oder nicht belegt ist. Keine Eingabe erlaubt, wenn Polypektomie mit "keine" und Zangenabtragung und BiopsieEntnommen mit "Nein" belegt sind. Keine Eingabe erlaubt, wenn PolypGeborgen mit "Nein" belegt ist und BiopsieEntnommen mit "Nein" oder nicht belegt ist.)
      ParameterID: 120541.
      Returns:
        Sonstiges

    - #### setSonstiges

          public void setSonstiges(String _sonstiges)

    - #### getDiagnose

          public String getDiagnose()

      Diagnose - Histologischer Befund.
      Mögliche Werte siehe `KolDiagnoseConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn der histologische Befund anzugeben ist. Muss mit "4" (Rektum-Ca.) oder "3" (Kolon-Ca.) belegt sein, wenn HistoKarzinom mit "Ja" (Ja) belegt ist. Muss mit "2" (Adenome) belegt sein, wenn HistoKarzinom mit "Nein" (Nein) belegt ist und bei Adenom ein Eintrag gewählt wurde.)
      ParameterID: 120542.
      Returns:
        Diagnose

    - #### setDiagnose

          public void setDiagnose(String _diagnose)

    - #### getPatientenkontaktVerloren

          public String getPatientenkontaktVerloren()

      Patientenkontakt Verloren - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss
      ParameterID: 120543.
      Returns:
        PatientenkontaktVerloren

    - #### setPatientenkontaktVerloren

          public void setPatientenkontaktVerloren(String _patientenkontaktVerloren)

    - #### getMassnahmen

          public String getMassnahmen()

      Massnahmen - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
      Mögliche Werte siehe `KolMassnahmenConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn PatientenkontaktVerloren mit "Ja" (Ja) belegt ist. Keine Eingabe erlaubt, wenn PatientenkontaktVerloren mit "Nein" (Nein) belegt ist.)
      ParameterID: 120544.
      Returns:
        Massnahmen

    - #### setMassnahmen

          public void setMassnahmen(String _massnahmen)

    - #### getPolypenabtragung

          public String getPolypenabtragung()

      endoskopische Polypenabtragung - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
      Mögliche Werte siehe `PolypenabtragungConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn Massnahme mit "1" (endoskopischer Polypenabtragung) belegt ist. Keine Eingabe erlaubt, wenn PatientenkontaktVerloren (Angeratene weitere Maßnahmen) mit "Nein" (Nein) bzw. Massnahme mit "3" (Kontrollkoloskopie) oder "2" (Operation) belegt ist.)
      ParameterID: 120545.
      Returns:
        Polypenabtragung

    - #### setPolypenabtragung

          public void setPolypenabtragung(String _polypenabtragung)

    - #### getKontrolleMonate

          public String getKontrolleMonate()

      Kontrollkoloskopie in - Angeratene weitere Maßnahmen bei Polyp(en)/Adenom(en)/Karzinom.
      Format: maximal 3-stellig (Numerisch im Format '000').
      Angabe: Bedingt (Muss angegeben werden, wenn Massnahme mit "Kontrollkoloskopie" belegt ist. Keine Eingabe erlaubt, wenn PatientenkontaktVerloren (Angeratene weitere Maßnahmen) mit "Nein" (Nein), Massnnahme nicht mit "3" (Kontrollkoloskopie) belegt ist.)
      ParameterID: 120546.
      Returns:
        KontrolleMonate

    - #### setKontrolleMonate

          public void setKontrolleMonate(String _kontrolleMonate)